# Freeze::TransactionalEvictor

## Overview

### local interface TransactionalEvictor extends Evictor

A transactional evictor is an evictor that performs every single read-write operation within its own transaction.

## Operations

### Transaction getCurrentTransaction()

Get the transaction associated with the calling thread.

#### Return Value

The transaction associated with the calling thread.

### void setCurrentTransaction(Transaction tx)

Associate a transaction with the calling thread.

#### Parameters

tx
  The transaction to associate with the calling thread.